This object allows you to add and manage a Borrower's contact information. A Borrower can have an "unlimited" number of contacts. However, it is important to properly create key contact objects.
Peach Borrower Portal (if used by the lender), shows the following contacts only:
EMAIL contactType=email, label=personal or work, affiliation=self, status=primary.
MOBILE PHONE contactType=phone, label=personal, affiliation=self, status=primary.
HOME PHONE contactType=phone, label=home, affiliation=self, status=secondary.
HOME ADDRESS contactType=address, label=home, affiliation=self, status=primary.
The Peach system sends notices (e.g. payment reminder) to borrowers (if configured by the lender). In order for a notice to be sent successfully, both contact object and template must exist. If a contact cannot be found, the system will not send a notice. The system will try to find the following contact objects:
Email notices: contactType=email, valid=true, affiliation=self, status=primary (if "primary" is not found, the system searches for "secondary" and then for "additional")
Text message/SMS notices: contactType=phone, valid=true, affiliation=self, receiveTextMessages=true, label=personal, status=primary (if "primary" is not found, the system searches for "secondary" and then for "additional")
List contacts for a borrower.
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X GET \
'https://sandboxapi.peach.finance/api/people/{personId}/contacts?limit=25&startingAfter=string&endingBefore=string&sortBy=string&collidesWithEmail=string&collidesWithPhone=string&contactType=phone&affiliation=self&label=personal&status=primary&includeArchived=false&includeLegal=true&receiveTextMessages=true&value=string&powerOfAttorney=true&authorizedThirdParty=true' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Success
{ "count": 0, "nextUrl": "string", "previousUrl": "string", "status": 0, "total": 0, "data": [ { … } ] }